[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.SetBoundsKeepBase

Set the bounds, keeping the base values.

## Declaration

Source position: controls.pp line 1661

`public procedure TControl.SetBoundsKeepBase(`
`aLeft: Integer;`
`aTop: Integer;`
`aWidth: Integer;`
`aHeight: Integer`
`); virtual;`

## Arguments

`aLeft` |  | New Left coordinate for the control.
`aTop` |  | New Right coordinate for the control.
`aWidth` |  | New Width for the control.
`aHeight` |  | New Height for the control.

## Description

SetBoundsKeepBase is a procedure used to set the bounds for a Control to the specified values without affecting the bounds in a Parent control.

SetBoundsKeepBase calls the ChangeBounds method to update the sized and position for the control to the specified values. If you use this in a custom control, disable LCL auto-sizing for this control prior to calling the method.

SetBoundsKeepBase is used in the implementation for several methods, including:

- WMSize
- WMMove
- WMWindowPosChanged
- DoAutoSize
- DoAutoAdjustLayout
- DoUndock
- Loaded

## See also

TControl.WMSize |  | Message handler for changed control size.
TControl.WMMove |  | Message handler for control move events.
TControl.DoAutoSize |  | For internal use only; call AdjustSize instead.
TControl.DoAutoAdjustLayout |  | Applies layout changes using the specified policy and scaling proportions to the control.
TWinControl.WMWindowPosChanged |  | Event handler for size/move messages.
TWinControl.DoUndock |  | Notifies an OnUnDock handler and the DockManager of an undocked client control.
TControl.Loaded |  | Performs actions needed when LCL component streaming has been completed.